"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanupTempFiles = cleanupTempFiles;
var _promises = _interopRequireDefault(require("fs/promises"));
var _del = _interopRequireDefault(require("del"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
// Removes temp files generated by LibreOffice
async function cleanupTempFiles() {
  const files = await _promises.default.readdir(`/tmp`);
  for (const file of files) {
    if (file.endsWith('.tmp') === true || file.startsWith('OSL_PIPE')) {
      try {
        await (0, _del.default)([`/tmp/${file}`, `/tmp/${file}/*`], {
          force: true
        });
        // eslint-disable-next-line no-empty
      } catch (error) {}
    }
  }
}